from __future__ import print_function

from sys import path as sys_path
from os import path as os_path
file_path = os_path.dirname(os_path.realpath(__file__))
sys_path.append(file_path + "/../../../")

import rticonnextdds_connector as rti
import cv2
import numpy as np

with rti.open_connector(
        config_name="MyParticipantLibrary::MySubParticipant",
        url="./Image.xml") as connector:

    input = connector.get_input("MySubscriber::MyImageReader")

    print("Waiting for publications...")
    input.wait_for_publications() # wait for at least one matching publication

    print("Waiting for data...")
    for i in range(1, 500):
        input.wait() # wait for data on this input
        input.take()
        for sample in input.samples.valid_data_iter:
            # You can get all the fields in a get_dictionary()
           imageString = sample.get_string("frame")
           image = np.fromstring(imageString,dtype=float)
           cv2.imshow("image",image)

cv2.waitKey(1)